#!/usr/perl5/bin/perl -w
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#ident	"@(#)start_help.pl	1.7	01/07/27 SMI"
#
# Create the help frameset with three frames.
# Load argument into content frame

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Help;
use Cluster::Common qw($TRUE $FALSE);
use Sun::Solaris::Utils qw(gettext);

# Create the needed objects
my $q = new Cluster::Cgi;
my $help = new Cluster::Help;

my $help_dir = $help->get_help_dir($q);

# Declare local vars
my ($TITLE, $TOP, $LEFT, $RIGHT, $TOPTITLE, $LEFTTITLE, $RIGHTTITLE);

my $url;
$url = $q->param("url");
#
# $url is of the form '/$locale/help/helpfile.html' or '/$locale/help/helpfile.html,anchor'.
# The usual '#' to delineate the anchor is filtered out by Cgi:param() so
# the javascript Help() fnx in Help.pm replaces it with comma. Therefore, this code
# searches for ',' in $url and replaces it with '#'.
#
# Assumptions: comma will never be a legal character in filename or anchor; there will be
# at most one '#' in the original filename#anchor.
#

# frame targets
$TITLE = gettext("SunPlex Manager Help");
$TOP = $help_dir . "header.html";
$LEFT = $help_dir . "contents.html";
$TOPTITLE = gettext("Help Masthead Area");
$LEFTTITLE = gettext("Help Navigation Area");
$RIGHTTITLE = gettext("Help Content Area");

if (!defined $url) {
  $RIGHT = $help_dir . "welcome.html";
} else {
  $url = join '#', split /,/, $url; # no-op if no comma
  $RIGHT = $url;
}


# Print the html
print $q->header();
print "<HTML>\n";
print $q->start_head();
print $q->start_title();
print $TITLE;
print $q->end_title();
print $q->end_head();

# Start the outer frameset
print $q->start_frameset({ rows          => '39,*',
			   title         => $TOPTITLE,
			   border        => 1,
			   framespacing  => 1
			   });

# Print the header frame
print $q->start_frame({ name         => 'helpTopFrame',
			src          => $TOP,
			title        => $TOPTITLE,
			id           => 'helpmasthead',
			marginheight => 0,
			marginwidth  => 0,
			border       => 0,
			noresize     => undef,
			scrolling    => 'no',
			});

	print $q->start_frameset({ cols         => '160,*',
				   border       => 2,
				   framespacing => 2
				   });
    
	print $q->start_frame({ name         => 'leftHelpFrame',
				src          => $LEFT,
				title        => $LEFTTITLE,
				id           => 'helpnavigation',
				scrolling    => 'auto',
				marginheight => 5,
				marginwidth  => 0
				});

        print $q->start_frame({ name         => 'helpMainFrame',
				src          => $RIGHT,
				title        => $RIGHTTITLE,
				id           => 'helpcontent',
				scrolling    => 'auto',
				marginheight => 5,
				marginwidth  => 10
			      });


        print $q->end_frameset();


# End the outer frameset
print $q->end_frameset();
print "</HTML>\n";
