#!/usr/perl5/bin/perl
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#ident	"@(#)clustermode_remote.pl	1.10	01/08/15 SMI"
#
# Find out if all of the nodes are up

require 5.005;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Install;

# Create a install object
my $install = new Cluster::Install;

# Get the size of the cluster, and the list of nodes
my $file = '/var/cluster/spm/nodelist';

open(FILE, $file);
my $nodelist = <FILE>;
chomp $nodelist;
close(FILE);

my @nodelist = split /,/, $nodelist;
my $alive_count = 0;

# Contact each node to make sure its up in clustermode
foreach my $node (@nodelist) {
    my ($clustermode, $location);

    # Don't look for ourselves... or else we'll deadlock
    next if ($node eq $install->get_hostname());

    $location = "/cgi-bin/installation/clustermode_local.pl";
    ($clustermode) = $install->get_http($node,
					$install->get_http_port(),
					$location, undef, 1);

    if (defined $clustermode) {
	chomp $clustermode;
	
	if ($clustermode eq "YES") {
	    $alive_count++;
	}
    }
}

# We want responses from all of the other nodes before continuing
if ($alive_count == $#nodelist ) {
    exit 0;
} else {
    exit 1;
}
