#!/usr/perl5/bin/perl -w
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#pragma ident   "@(#)get_patch_list.pl 1.1     01/08/14 SMI"
#
# Yield a list of all the valid patches found in a particular directory.
#
require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Common;

# Create the html query object
my $q = new Cluster::Cgi;
my $cluster = new Cluster::Common;

# Print the header
print $q->header();

# Get the arguments
my $node = $q->param("node");
my $uncompressed_patch_path = $q->param("uncompressed_patch_path");

# Set the PATH variable
$ENV{"PATH"} = "/usr/sbin:/usr/bin";

# Create the list of valid patches.
my @dir_contents = `ls $uncompressed_patch_path`;
foreach my $cand (@dir_contents) {
    chomp $cand;

    # Skip if $cand is NOT a directory.
    next if ( ! -d "$uncompressed_patch_path/$cand" );
    # Skip if $cand is not a valid patch directory.
    next if ( ! -e "$uncompressed_patch_path/$cand/.diPatch" && 
         ! -e "$uncompressed_patch_path/installpatch" );
    # If it exists, grab the patch synopsis.
    my $synopsis = `cd $uncompressed_patch_path ; cat $cand/README.* | awk '/Synopsis/ {\$1=""; print }'`;
    print "$cand\t$synopsis\n";
}

# Exit completely
exit(0);
